/**
* 文件：ValidCodeQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.valid.model;
import java.util.List;
/**
 * <p>Title: 验证码信息</p>
 * <p>Description: ValidCodeQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ValidCodeQuery extends ValidCodeEntity{
	private static final long serialVersionUID = 1547777703382L;
	/** 开始 菜单ID，主键，自增长 */
	private Long idStart;

	/** 结束 菜单ID，主键，自增长 */
	private Long idEnd;

	/** 增加 菜单ID，主键，自增长 */
	private Long idIncrement;

	/** 菜单ID，主键，自增长 */
	private List<Long> idList;

	/** 验证码 */
	private List<String> codeList;

	/** 校验地址，email校验使用 */
	private List<String> urlList;

	/** 校验手机号 */
	private List<String> mobileList;

	/** 校验邮箱 */
	private List<String> emailList;

	/** 开始 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0 */
	private Integer typeStart;

	/** 结束 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0 */
	private Integer typeEnd;

	/** 增加 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0 */
	private Integer typeIncrement;

	/** 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0 */
	private List<Integer> typeList;

	/** 会话ID */
	private List<String> sessionIdList;

	/** IP地址 */
	private List<String> ipList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 失效时间 */
	private String lapseTimeStart;

	/** 结束 失效时间 */
	private String lapseTimeEnd;


	public ValidCodeQuery(){
	}
	/**
	 * 获取 开始 菜单ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 菜单ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 菜单ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 菜单ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 菜单ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 菜单ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 菜单ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 菜单ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 验证码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 验证码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 校验地址，email校验使用
	 * @return urlList
	 */
	public List<String> getUrlList(){
		return this.urlList;
	}

	/**
	 * 设置 校验地址，email校验使用
	 * @param urlList
	 */
	public void setUrlList(List<String> urlList){
		this.urlList = urlList;
	}

	/**
	 * 获取 校验手机号
	 * @return mobileList
	 */
	public List<String> getMobileList(){
		return this.mobileList;
	}

	/**
	 * 设置 校验手机号
	 * @param mobileList
	 */
	public void setMobileList(List<String> mobileList){
		this.mobileList = mobileList;
	}

	/**
	 * 获取 校验邮箱
	 * @return emailList
	 */
	public List<String> getEmailList(){
		return this.emailList;
	}

	/**
	 * 设置 校验邮箱
	 * @param emailList
	 */
	public void setEmailList(List<String> emailList){
		this.emailList = emailList;
	}

	/**
	 * 获取 开始 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @return typeStart
	 */
	public Integer getTypeStart(){
		return this.typeStart;
	}

	/**
	 * 设置 开始 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @param typeStart
	 */
	public void setTypeStart(Integer typeStart){
		this.typeStart = typeStart;
	}

	/**
	 * 获取 结束 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @return typeEnd
	 */
	public Integer getTypeEnd(){
		return this.typeEnd;
	}

	/**
	 * 设置 结束 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @param typeEnd
	 */
	public void setTypeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
	}

	/**
	 * 获取 增加 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @return typeIncrement
	 */
	public Integer getTypeIncrement(){
		return this.typeIncrement;
	}

	/**
	 * 设置 增加 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @param typeIncrement
	 */
	public void setTypeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
	}

	/**
	 * 获取 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @return typeList
	 */
	public List<Integer> getTypeList(){
		return this.typeList;
	}

	/**
	 * 设置 校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0
	 * @param typeList
	 */
	public void setTypeList(List<Integer> typeList){
		this.typeList = typeList;
	}

	/**
	 * 获取 会话ID
	 * @return sessionIdList
	 */
	public List<String> getSessionIdList(){
		return this.sessionIdList;
	}

	/**
	 * 设置 会话ID
	 * @param sessionIdList
	 */
	public void setSessionIdList(List<String> sessionIdList){
		this.sessionIdList = sessionIdList;
	}

	/**
	 * 获取 IP地址
	 * @return ipList
	 */
	public List<String> getIpList(){
		return this.ipList;
	}

	/**
	 * 设置 IP地址
	 * @param ipList
	 */
	public void setIpList(List<String> ipList){
		this.ipList = ipList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 失效时间
	 * @return lapseTimeStart
	 */
	public String getLapseTimeStart(){
		return this.lapseTimeStart;
	}

	/**
	 * 设置 开始 失效时间
	 * @param lapseTimeStart
	 */
	public void setLapseTimeStart(String lapseTimeStart){
		this.lapseTimeStart = lapseTimeStart;
	}

	/**
	 * 获取 结束 失效时间
	 * @return lapseTimeEnd
	 */
	public String getLapseTimeEnd(){
		return this.lapseTimeEnd;
	}

	/**
	 * 设置 结束 失效时间
	 * @param lapseTimeEnd
	 */
	public void setLapseTimeEnd(String lapseTimeEnd){
		this.lapseTimeEnd = lapseTimeEnd;
	}


}